# Chapter 8
Polygons and Polygon Operations

Geert-Jan Giezeman and Wieger Wesselink

### Assertions

The assertion flags for the polygons and polygon operations use POLYGON in their names (e.g., CGAL_POLYGON_NO_ASSERTIONS).

### Concepts

PolygonTraits_2

### Classes

CGAL::Polygon_2<PolygonTraits_2, Container>

### Global Functions

CGAL::area_2
CGAL::bbox_2
CGAL::bottom_vertex_2
CGAL::bounded_side_2
CGAL::is_convex_2
CGAL::is_simple_2
CGAL::left_vertex_2
CGAL::orientation_2
CGAL::oriented_side_2
CGAL::polygon_area_2
CGAL::right_vertex_2
CGAL::top_vertex_2

### Alphabetical List of Reference Pages

- area_2

- bbox_2

- bottom_vertex_2

- bounded_side_2

- is_convex_2

- is_simple_2

- left_vertex_2

- orientation_2

- oriented_side_2

- PolygonTraits_2

- Polygon_2<PolygonTraits_2, Container>

- polygon_area_2

- right_vertex_2

- top_vertex_2